Ubuntu

apps started fullscreen in unity can never unfullscreen

Reported by Akkana Peck on 2011-04-19
72
This bug affects 12 people
Affects Status Importance Assigned to Milestone
Unity
Medium
Sam Spilsbury
compiz-plugins-main (Ubuntu)
Medium
Unassigned
Natty
Undecided
Unassigned
unity (Ubuntu)
Undecided
Unassigned
Natty
Undecided
Unassigned

Bug Description

Test case:
install compiz-plugins-main 1:0.9.4+bzr20110527-0ubuntu1 in natty-proposed

                1) Compile and run the program attached in the bug report
                2) Click the toggle fullscreen button and it should unfullscreen
                3) Check if the fullscreened window appears in alt-tab (it should)

If you run an application under Unity that starts as fullscreen, you're stuck in fullscreen mode forever. The app can call gtk_window_unfullscreen() but it doesn't do any good -- unity on natty beta ignores it.

I'm attaching a simple C GTK test program that demonstrates the problem. Compile it as specified in the comment at the beginning, then run it with no arguments. It starts up in fullscreen mode. When you click "toggle fullscreen", it calls gtk_window_unfullscreen(). That works in gnome 2 on lucid and gnome 3 on natty, as well as several other window managers, but in unity the unfullscreen() does nothing.

You can also run the program with an argument of 0 if you want to test it starting up in normal non-fullscreen mode, then toggling into fullscreen, to see the difference in behavior.

Jan Claeys (janc) wrote :

Same bug happens with compiz + classic ubuntu (on natty), so this looks like a compiz bug...

Changed in unity (Ubuntu):
status: New → Confirmed
Akkana Peck (akkzilla) wrote :

Changing package to compiz. This bug also occurs under Gnome2 Classic under natty -- but not under the earlier gnome2 under lucid. Some folks I talked to suggested this was more likely a regression in natty's version of compiz, and not specific to unity.

affects: unity (Ubuntu) → compiz (Ubuntu)
Changed in compiz (Ubuntu):
status: Confirmed → New
Didier Roche (didrocks) wrote :

16:39:12 JanC | I tested that test case in a unity session, in a classic session with compiz, and in a classic session with metacity, and it failed in both cases with compiz, but not with metacity

Changed in unity:
status: New → Triaged
Changed in compiz (Ubuntu):
status: New → Triaged
Changed in unity:
importance: Undecided → Medium
Changed in compiz (Ubuntu):
importance: Undecided → Medium
Changed in unity:
assignee: nobody → Sam "SmSpillaz" Spilsbury (smspillaz)
milestone: none → 3.8.14
Didier Roche (didrocks) on 2011-04-28
Changed in unity (Ubuntu):
status: New → Triaged
Changed in unity:
status: Triaged → Fix Committed
Changed in compiz (Ubuntu):
status: Triaged → Fix Committed
Changed in unity (Ubuntu):
status: Triaged → Fix Committed
Didier Roche (didrocks) on 2011-05-27
affects: compiz (Ubuntu) → compiz-plugins-main (Ubuntu)
Changed in unity (Ubuntu Natty):
status: New → Fix Released
Changed in unity (Ubuntu):
status: Fix Committed → Fix Released
David Barth (dbarth) on 2011-05-31
Changed in unity:
milestone: 3.8.14 → 3.8.16
Didier Roche (didrocks) on 2011-06-01
description: updated
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz-plugins-main - 0.9.4+bzr20110527-0ubuntu1

---------------
compiz-plugins-main (0.9.4+bzr20110527-0ubuntu1) oneiric; urgency=low

  * New bug fix release:
    - apps started fullscreen in unity can never unfullscreen (LP: #765422)
  * debian/patches/00_bzr_fix_centered_expo.patch:
    - removed, applied upstream
 -- Didier Roche <email address hidden> Mon, 06 Jun 2011 16:19:03 +0200

Changed in compiz-plugins-main (Ubuntu):
status: Fix Committed → Fix Released

Accepted compiz-plugins-main into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in compiz-plugins-main (Ubuntu Natty):
status: New → Fix Committed
tags: added: verification-needed
Pedro Villavicencio (pedro) wrote :

I've used the test case to test this fix and it now behaves correctly, marking this as verification-done, thanks all.

tags: added: verification-done
removed: verification-needed
Yann Dìnendal (yannbreliere) wrote :

Indeed it works now. But when I launched Firefox after having closed it in fullscreen, the Firefox window was restored with it's title bar underneath unity's top panel. So it looked like a maximized window without window controls (close/minimize/maximize).

drink (martin-espinoza) wrote :

I am having the firefox problem also.

drink (martin-espinoza) wrote :

I am also having this problem with firefox on first launch after shutting down with it fullscreen. This is a regression for me, it happened very recently. In order to use firefox properly again I must unmaximize, quit, and relaunch firefox.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package compiz-plugins-main - 0.9.4+bzr20110527-0ubuntu1~natty1

---------------
compiz-plugins-main (0.9.4+bzr20110527-0ubuntu1~natty1) natty-proposed; urgency=low

  * New bug fix release:
    - apps started fullscreen in unity can never unfullscreen (LP: #765422)
  * debian/patches/00_bzr_fix_centered_expo.patch:
    - removed, applied upstream
 -- Didier Roche <email address hidden> Wed, 01 Jun 2011 10:24:29 +0200

Changed in compiz-plugins-main (Ubuntu Natty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers